//
//  ApplicationController.m
//  Embiggened
//
//  Created by Patrick Geiller on 07/03/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "ApplicationController.h"


@implementation ApplicationController

@end


int style = NSRoundedBezelStyle;



@interface EmbiggenedView : NSView
{
}
@end

@implementation EmbiggenedView

- (void)drawRect:(NSRect)rect
{

	if (style == 17)	style = 1;
	if (style == 3)		style = 5;


	id cell = [NSButtonCell new];
	
	[cell setButtonType:NSMomentaryPushInButton];
//	[cell setBezelStyle:NSRoundedBezelStyle];
//	[cell setBezelStyle:NSHelpButtonBezelStyle];
	[cell setBezelStyle:style];
	[cell setTitle:@"Big Button !"];

	if (style == 15)	[cell setButtonType:NSSwitchButton];
	if (style == 16)	[cell setButtonType:NSRadioButton];
	if (style == 5 || style == 7 || style == 9 || style == 14)	[cell setTitle:@""];

	
	// Size button to fit width
	float scale = (rect.size.width / [cell cellSize].width);
	// Scale it down a little - some controls overflow their rect (like the help button)
	scale *= 0.8;

	// Apply scale
	CGContextRef context = [[NSGraphicsContext currentContext] graphicsPort];;
	CGContextScaleCTM(context, scale, scale);

	// Scale down drawing rect
	rect.size.width /= scale;
	rect.size.height /= scale;
	
	// Draw rect
	[cell drawWithFrame:rect inView:self];
	
	[cell release];
}

- (void)next
{
	style++;
	[self setNeedsDisplay:YES];
}

- (void)keyDown:(id)event
{
	[self next];
}
- (void)mouseDown:(id)event
{
	[self next];
}

- (BOOL)acceptsFirstResponder
{
	return	YES;
}

@end